Skip to main content
GET
/
reports
/
{report_id}
Retrieve a Report
curl --request GET \
  --url https://api-sandbox.y.uno/v1/reports/{report_id} \
  --header 'X-Organization-Code: <x-organization-code>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "5104911d-5df9-229e-8468-bd41abea1",
  "type": "TRANSACTIONS",
  "start_date": "2022-05-09T20:46:54.786342Z",
  "end_date": "2022-05-09T20:46:54.786342Z",
  "merchant_reference_id": "Merchant_report_1234",
  "created_at": "2022-05-16T20:46:54.786342Z",
  "updated_at": "2022-05-16T20:46:54.786342Z",
  "expires_at": "2022-05-16T20:46:54.786342Z",
  "status": "SUCCEEDED"
}
This request enables you to retrieve details of a report based on their id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Headers

X-Organization-Code
string
required

Organization code associated to the request.

Path Parameters

report_id
string
required

The unique identifier of the report.

Response

200

id
string
Example:

"5104911d-5df9-229e-8468-bd41abea1"

type
string
Example:

"TRANSACTIONS"

start_date
string
Example:

"2022-05-09T20:46:54.786342Z"

end_date
string
Example:

"2022-05-09T20:46:54.786342Z"

merchant_reference_id
string
Example:

"Merchant_report_1234"

created_at
string
Example:

"2022-05-16T20:46:54.786342Z"

updated_at
string
Example:

"2022-05-16T20:46:54.786342Z"

expires_at
string
Example:

"2022-05-16T20:46:54.786342Z"

status
string
Example:

"SUCCEEDED"